Index: code/branches/presentation/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/presentation/visual_studio/vc8/orxonox.vcproj	(revision 2459)
+++ code/branches/presentation/visual_studio/vc8/orxonox.vcproj	(revision 2485)
@@ -167,4 +167,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\PawnManager.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\PlayerManager.cc"
 				>
@@ -210,4 +214,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\GlobalShader.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Level.cc"
 					>
@@ -247,20 +255,4 @@
 						RelativePath="..\..\src\orxonox\objects\worldentities\Backlight.cc"
 						>
-						<FileConfiguration
-							Name="Debug|Win32"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -282,4 +274,12 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\ControllableEntity.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\ExplosionChunk.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\FadingBillboard.cc"
 						>
 					</File>
@@ -373,4 +373,12 @@
 					>
 					<File
+						RelativePath="..\..\src\orxonox\objects\infos\Bot.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\GametypeInfo.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\infos\HumanPlayer.cc"
 						>
@@ -389,4 +397,12 @@
 					>
 					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\AIController.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\ArtificialController.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\controllers\Controller.cc"
 						>
@@ -394,4 +410,8 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\controllers\HumanController.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\ScriptController.cc"
 						>
 					</File>
@@ -645,4 +665,20 @@
 					</File>
 				</Filter>
+				<Filter
+					Name="items"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\Engine.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\Item.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\MultiStateEngine.cc"
+						>
+					</File>
+				</Filter>
 			</Filter>
 			<Filter
@@ -659,4 +695,8 @@
 				<File
 					RelativePath="..\..\src\orxonox\tools\ParticleInterface.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\tools\Shader.cc"
 					>
 				</File>
@@ -755,5 +795,13 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\GametypeStatus.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\overlays\hud\HUDBar.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDHealthBar.cc"
 						>
 					</File>
@@ -887,4 +935,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\PawnManager.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\PlayerManager.h"
 				>
@@ -910,4 +962,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\GlobalShader.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Level.h"
 					>
@@ -966,4 +1022,12 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\ControllableEntity.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\ExplosionChunk.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\FadingBillboard.h"
 						>
 					</File>
@@ -1057,4 +1121,16 @@
 					>
 					<File
+						RelativePath="..\..\src\orxonox\objects\infos\Bot.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\GametypeInfo.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\HumanPlayer.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\infos\Info.h"
 						>
@@ -1069,4 +1145,12 @@
 					>
 					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\AIController.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\ArtificialController.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\controllers\Controller.h"
 						>
@@ -1074,4 +1158,8 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\controllers\HumanController.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\controllers\ScriptController.h"
 						>
 					</File>
@@ -1229,4 +1317,20 @@
 					</File>
 				</Filter>
+				<Filter
+					Name="items"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\Engine.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\Item.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\items\MultiStateEngine.h"
+						>
+					</File>
+				</Filter>
 			</Filter>
 			<Filter
@@ -1250,4 +1354,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\tools\Shader.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\tools\TextureGenerator.h"
 					>
@@ -1293,5 +1401,13 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\GametypeStatus.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\overlays\hud\HUDBar.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDHealthBar.h"
 						>
 					</File>
